MineMeld on Ubuntu 20.04 LTS

Announcements

Changes to the LIVEcommunity experience are coming soon... Here's what you need to know.

Reply
Chacko42
L4 Transporter

MineMeld on Ubuntu 20.04 LTS

Hi Community,

 

since April 2021 is getting nearer, Ubuntu LTS 16.04 is getting nearer to end of life.

Is there any version successfully tested for Ubuntu 18.04 LTS or 20.04 LTS?

 

Last time I tried installing it, installation failed due to dependencies or "bad gateway" errors when logging in to MineMeld.

Is there a roadmap in general?

 

Looking forward to your inputs

 

Regards

Chacko

Best Regards
Chacko
johnbaric
L0 Member

I just got this up and running about a month ago.

I wasn't going to risk installing on anything beyond Ubuntu 16.04. So I eventually got it up and running on version 16. A little tricky because I chose to install from the package instead of the binary. The package was getting stuck on the download of the minemeld engine. This happened twice and it wasn't until I ran the apt-get --configure cmd that it fixed the issue by continuing the download and finishing the install.

Good luck.

Chacko42
L4 Transporter

Hi @johnbaric,

 

can you maybe specify, which steps you executed?

Installing via ansible-minemeld on 18.04 and 20.04. isn't really working.

"Bad-Gateway" during login and "src/lxml/etree.c:243699:13: error: ‘PyThreadState’ {aka ‘struct _ts’} has no member named ‘exc_value’; did you mean ‘curexc_value’?"

is the best we currently get.
 
Regards
Chacko
Best Regards
Chacko
johnbaric
L0 Member

Hi Chacko,

 

I double checked my VM and I've stuffed up. It's actually version 16 that I've installed it on not 18.

So I basically followed the PA manual instructions to install it on Ubuntu 16. Like I said had issues when it was downloading the minemeld engine. After restarting the apt-get configure it basically fixed itself.

 

B

Chacko42
L4 Transporter

@kiwi Do you maybe have additional information for this request?

Best Regards
Chacko
takefour
L0 Member

Ubuntu 16.04 is an LTS release it’s still supported. Docker support seems ok but can’t get it to work with the syslog miner so doesn’t seem like it’s a full one to one comparison yet. forpc.onl jiofi local html

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the LIVEcommunity as a whole!

The LIVEcommunity thanks you for your participation!